/*
	README

	Modify this file as much or as little as needed.

	This file is shared across all CCL widgets in the Header Slideshow family. This enables the ability to
	a family of widgets in a single update without touching the structure of the widget and without needing
	to duplicate efforts across several widget-specific CSS files.
*/

.core-hero-slideshow {
	--text-container-width: var(--width-comfortable);
	--letter-spacing: var(--tracking-wide);
	--title-text-size: var(--text-2xl);
	--btn-text-size: var(--text-base);
	--text-size: var(--text-base);

	position: relative;
}

.core-hero-slideshow .slide .img-cont::after {
	content: "";
	background: linear-gradient(to top, rgba(0,0,0,0.6) 0%, rgba(0,0,0,0) 100%);
	top: 0;
	left: 0;
	position: absolute;
	pointer-events: none;
	height: 100%;
	width: 100%;
}

.core-hero-slideshow .slide-title {
	font-weight: 700;
	line-height: var(--leading-tight);
	font-size: var(--title-text-size);
}

.core-hero-slideshow .slide p {
	color: var(--text-color);
	font-size: var(--text-size);
	font-weight: normal;
	line-height: var(--leading-normal);
	padding-bottom: var(--space-4);
}

.core-hero-slideshow .glide__arrows .glide__arrow .fa-angle-left:before,
.core-hero-slideshow .glide__arrows .glide__arrow .fa-angle-right:before {
	content: "→";
	font-family: var(--font-display);
	font-size: 23px;
	transition: color ease 400ms;
}
.core-hero-slideshow .glide__arrows .glide__arrow .fa-angle-left:before {
	content: "←";
}

.ccl-widget.core-hero-slideshow .slide .slide-title {
	font-size: 1.375rem;
	line-height: 1.18;
	font-weight: 400;
}

.core-hero-slideshow .slide .slide-footer .read-more {
	color: var(--white);
}

@media (min-width: 40em) {
	.ccl-widget.core-hero-slideshow .slide .slide-title {
		font-size: 1.75rem;
	}
}

@media (hover: hover) {
	.core-hero-slideshow .glide__arrows .glide__arrow:hover {
		background-color: var(--yellow);
	}

	.core-hero-slideshow .glide__arrows .glide__arrow:hover .fa-angle-left:before,
	.core-hero-slideshow .glide__arrows .glide__arrow:hover .fa-angle-right:before {
		color: var(--blue);
	}
}
